package com.czg.order.service;

import com.czg.order.entity.ShopOrderStatistic;
import com.czg.order.param.DataSummaryProductSaleParam;
import com.czg.order.param.DataSummaryTradeParam;
import com.czg.order.vo.DataSummaryDateAmountVo;
import com.czg.order.vo.DataSummaryPayTypeVo;
import com.czg.order.vo.DataSummaryProductSaleRankingVo;
import com.mybatisflex.core.paginate.Page;

import java.util.List;

/**
 * 数据统计Service接口
 *
 * @author tankaikai
 * @since 2025-03-07 15:31
 */
public interface DataSummaryService {

    ShopOrderStatistic getTradeData(DataSummaryTradeParam param);

    Page<DataSummaryProductSaleRankingVo> getProductSaleRankingPage(DataSummaryProductSaleParam param);

    DataSummaryDateAmountVo getSummaryAmountData(Long shopId,Integer day);

    DataSummaryPayTypeVo getSummaryPayTypeData(Long shopId, Integer day);

    List<Long> getShopIdList();
}
